const { defineConfig } = require('@vue/cli-service')
const path = require('path');

module.exports = defineConfig({
  publicPath: '.',
  transpileDependencies: true,
  chainWebpack: (config)=>{
    config.resolve.alias
      .set('@', path.join(__dirname,'src'))
      .set('@/components', path.join(__dirname,'src/components'))
      .set('@/pages', path.join(__dirname,'src/pages'))
      .set('@/assets', path.join(__dirname,'src/assets'))
      .set('@/utils', path.join(__dirname,'src/utils'))
  },
})
